---
- name: create matrix app matrix_sync_service_directory
  file:
    path: "{{matrix_sync_service_directory}}"
    state: directory

# - name: copy all static files
#   synchronize:
#     recursive: true
#     src: "./" # relative to ./files on local role path
#     dest: "{{matrix_sync_service_directory}}" # relative to ~/ on remote

- name: copy templated jinja2 files
  template:
    src: "{{item}}" # relative to ./templates on local role path
    dest: "{{matrix_sync_service_directory}}/{{ item | regex_replace(role_path+'/templates/', '') | regex_replace('\\.j2', '') }}" # relative to ~/ on remote
  with_items: "{{ lookup('pipe','find {{role_path}}/templates/ -type f').split('\n') }}"

- name: deploy docker-compose only for sync
  docker_compose:
    profiles: "sync"
    project_src: "{{matrix_sync_service_directory}}"
    pull: true
    build: true
    remove_orphans: true
    recreate: always
